Skip to main content
POST
/
v1
/
keys
Upload E2EE keys
curl --request POST \
  --url https://api.magne.app/v1/keys \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "deviceId": "<string>",
  "identityKey": "<string>",
  "signedPreKey": {
    "keyId": 123,
    "publicKey": "<string>",
    "signature": "<string>"
  },
  "oneTimePreKeys": [
    {
      "keyId": 123,
      "publicKey": "<string>"
    }
  ]
}
'
{
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
deviceId
string
required
identityKey
string
required
signedPreKey
object
required
oneTimePreKeys
object[]

Response

Success

message
string